> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a price relay target rule



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers: []
security: []
tags:
  - name: Attribute Templates
    x-displayName: Attribute Templates
  - name: Attributes
    x-displayName: Attributes
  - name: Bulk
    x-displayName: Bulk
  - name: Attribute Template Fields
    x-displayName: Attribute Template Fields
  - name: Brands
    x-displayName: Brands
  - name: Product Bundle Groups
    x-displayName: Product Bundle Groups
  - name: Product Bundles
    x-displayName: Product Bundles
  - name: Bundle Rules
    x-displayName: Bundle Rules
  - name: Categories
    x-displayName: Categories
  - name: Channels
    x-displayName: Channels
  - name: ChannelContent
    x-displayName: ChannelContent
  - name: Variant Groups
    x-displayName: Variant Groups
  - name: Collections
    x-displayName: Collections
  - name: CustomRoles
    x-displayName: CustomRoles
  - name: CustomerGroups
    x-displayName: CustomerGroups
  - name: DAM
    x-displayName: DAM
  - name: Product Drafts
    x-displayName: Product Drafts
  - name: Files
    x-displayName: Files
  - name: Images
    x-displayName: Images
  - name: Logs
    x-displayName: Logs
  - name: Markets
    x-displayName: Markets
  - name: Merchant Users
    x-displayName: Merchant Users
  - name: Orders
    x-displayName: Orders
  - name: Organizations
    x-displayName: Organizations
  - name: Price Relay Rules
    x-displayName: Price Relay Rules
  - name: Products
    x-displayName: Products
  - name: Relations
    x-displayName: Relations
  - name: Variant Templates
    x-displayName: Variant Templates
  - name: Variants
    x-displayName: Variants
  - name: Tags
    x-displayName: Tags
  - name: Redirects
    x-displayName: Redirects
  - name: Scheduling
    x-displayName: Scheduling
  - name: Smart Listings
    x-displayName: Smart Listings
  - name: Static Listings
    x-displayName: Static Listings
  - name: StoreGroups
    x-displayName: StoreGroups
  - name: TaxGroups
    x-displayName: TaxGroups
  - name: Third Party Link
    x-displayName: Third Party Link
  - name: Translations
    x-displayName: Translations
  - name: Videos
    x-displayName: Videos
  - name: Warehouses
    x-displayName: Warehouses
  - name: v2 Collections
    x-displayName: v2 Collections
paths:
  /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id}:
    servers:
      - url: //api.enad.io
    put:
      tags:
        - Price Relay Rules
      summary: Update a price relay target rule
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Target rule ID
          in: path
          name: rule_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/internal_pkg_webserver_v1.InputPriceRelayTargetRule
      responses:
        '200':
          description: target rule updated
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponsePriceRelayTargetRule
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputPriceRelayTargetRule:
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.InputPriceRelayTargetRule
      description: target rule details
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponsePriceRelayTargetRule:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayTargetRule
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputPriceRelayTargetRule:
      properties:
        active:
          type: boolean
        aggregation:
          type: string
        market_slug:
          type: string
        name:
          type: string
        store_group_slug:
          type: string
      required:
        - aggregation
        - market_slug
        - name
        - store_group_slug
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayTargetRule:
      properties:
        active:
          type: boolean
        aggregation:
          type: string
        app_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        market:
          type: string
        market_slug:
          type: string
        name:
          type: string
        store_group:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'Management API token, sent as `Authorization: Bearer <token>`.'

````